ListGroupOwners
/api/v1/groups/{group}/ownersList or search for group owners, which can be a user, team, or another group. Admins can also manage and approve groups without being listed as owners.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/groups/{group}/owners"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/groups/{group}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredName of the group to list the owners of. Can also be
groups/-to list all group owners.Format:
groups/{group}
Query parameters
Section titled “Query parameters”pageSizeinteger (int32)pageTokenstring
Response
Section titled “Response”200ListGroupOwnersResponsegroupOwnersGroupOwner[]namestringAssigned by Oblique. Name of the owner of the format
groups/{group}/owners/{owner}.ownerstringrequiredThe owner of the group.
updateTimestring (date-time)read-onlyThe time when this object was last updated.
createTimestring (date-time)read-onlyThe time when this object was created.
managementManagementHow this ownership is managed. Inherited from the parent group: owners of Terraform-managed groups are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent group to change this. Omitted from responses when the parent group is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
nextPageTokenstring
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |